import { Router } from "express";

import UserController from "../controllers/user";
import existance from '../middlewares/existance';

const UserRouter = Router();

UserRouter.post('/register', existance.userShouldNotExist, UserController.register);
UserRouter.post('/login', existance.userShouldExist, UserController.login);
UserRouter.get('/posts/:userId', existance.userShouldExist, UserController.getPosts);
UserRouter.get('/all', UserController.getAll);
UserRouter.get('/by-id/:userId', existance.userShouldExist, UserController.getById);

export default UserRouter;